> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.erp.olist.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Incluir nota fiscal de consumidor por XML



## OpenAPI

````yaml https://erp.olist.com/public-api/v3/swagger/swagger-mintlify.json post /notas/nota-fiscal-consumidor/xml
openapi: 3.0.0
info:
  title: Olist ERP API v3
  description: >-
    Documentação completa: <a href="https://api-docs.erp.olist.com"
    target="_blank">https://api-docs.erp.olist.com</a>
  version: '3.1'
servers:
  - url: https://api.tiny.com.br/public-api/v3
security: []
paths:
  /notas/nota-fiscal-consumidor/xml:
    post:
      tags:
        - Notas
      summary: Incluir nota fiscal de consumidor por XML
      operationId: IncluirXmlNotaFiscalConsumidorAction
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/IncluirXmlNotaFiscalRequestModel'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IncluirXmlNotaFiscalResponseModel'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDTO'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
        '503':
          description: Service Unavailable
      security:
        - bearerAuth: []
components:
  schemas:
    IncluirXmlNotaFiscalRequestModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            xml:
              type: string
              format: binary
            numeroPedido:
              type: integer
              nullable: true
            lancarContas:
              description: |-

                - S - Sim
                - N - Não
              type: string
              enum:
                - S
                - 'N'
              nullable: true
            lancarEstoque:
              description: |-

                - S - Sim
                - N - Não
              type: string
              enum:
                - S
                - 'N'
              nullable: true
          type: object
    IncluirXmlNotaFiscalResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            idNota:
              type: integer
          type: object
    ErrorDTO:
      title: ' '
      description: ' '
      properties:
        mensagem:
          description: Mensagem de erro geral
          type: string
          example: Ocorreram erros de validação
        detalhes:
          description: Detalhes específicos do erro
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDTO'
          example:
            - campo: codigo
              mensagem: O campo código é obrigatório
          nullable: true
      type: object
    ErrorDetailDTO:
      title: ' '
      description: ' '
      properties:
        campo:
          description: Campo que gerou o erro
          type: string
          example: codigo
        mensagem:
          description: Mensagem de erro específica do campo
          type: string
          example: O campo código é obrigatório
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: Bearer

````